/*
 * Class SED_MEDIUM_READER_WRITER_1
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_124 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_124 [] = {0xFF01,237,123,0xFFFF};
static const EIF_TYPE_INDEX egt_2_124 [] = {0xFF01,123,0xFFFF};
static const EIF_TYPE_INDEX egt_3_124 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_124 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_124 [] = {0xFF01,123,0xFFFF};
static const EIF_TYPE_INDEX egt_6_124 [] = {0xFF01,123,0xFFFF};
static const EIF_TYPE_INDEX egt_7_124 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_124 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_124 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_124 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_124 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_124 [] = {0xFF01,123,0xFFFF};
static const EIF_TYPE_INDEX egt_13_124 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_124 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_124 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_16_124 [] = {0xFF01,229,0xFFFF};
static const EIF_TYPE_INDEX egt_17_124 [] = {0xFF01,151,0xFFFF};
static const EIF_TYPE_INDEX egt_18_124 [] = {0xFF01,155,0xFFFF};


static const struct desc_info desc_124[] = {
	{EIF_GENERIC(NULL), 1755, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_124), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_124), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_124), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_124), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_124), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_124), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_124), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_124), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_124), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_124), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_124), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_124), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xF7 /*123*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_124), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1758, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1759, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 976, 8},
	{EIF_GENERIC(NULL), 977, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016D /*182*/), 979, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_124), 980, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_124), 981, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_124), 982, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_124), 983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0197 /*203*/), 1013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 1014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0161 /*176*/), 1016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A3 /*209*/), 1017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 1019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0167 /*179*/), 1020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1021, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 1022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 967, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 971, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 973, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 990, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 991, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 992, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 993, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 994, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 995, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 996, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 998, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1009, 9},
	{EIF_GENERIC(NULL), 1010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_124), 999, 0},
	{EIF_GENERIC(egt_18_124), 1763, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 1001, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 1002, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 1003, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1004, 10},
	{EIF_NON_GENERIC(0x019D /*206*/), 1005, 20},
	{EIF_GENERIC(NULL), 1754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1703, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1705, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1706, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1707, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1709, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1712, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1713, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1714, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1715, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1716, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1717, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1718, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1719, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1720, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1722, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1723, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1729, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1733, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1734, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1735, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1740, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1741, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1742, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1743, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1748, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1756, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1757, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1753, 0xFFFFFFFF},
};
void Init124(void)
{
	IDSC(desc_124, 0, 123);
	IDSC(desc_124 + 1, 1, 123);
	IDSC(desc_124 + 32, 67, 123);
	IDSC(desc_124 + 80, 269, 123);
	IDSC(desc_124 + 91, 323, 123);
	IDSC(desc_124 + 141, 162, 123);
}


#ifdef __cplusplus
}
#endif
